Bug 218407 - audio/logitechmediaserver: build error on 11-stable/llvm 4.0.0
Summary: audio/logitechmediaserver: build error on 11-stable/llvm 4.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL: https://reviews.freebsd.org/D11612
Keywords:
Depends on: 220781
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-04-05 21:09 UTC by Ken Wellsch
Modified: 2017-07-26 03:07 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (mark)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Wellsch 2017-04-05 21:09:18 UTC
While building audio/logitechmediaserver on 11-stable I encountered a C++ compile error in the ICU related code.  Once I made the following change, I was able to compile and run the package successfully.

File: ./slimserver-vendor-14cc392/CPAN/icu/source/i18n/uspoof.cpp

The compiler error (I am guessing that llvm 4.0.0 is detecting it for the first time) is for a unique line that looks like this:

if (position > 0)

position is a pointer ... based on context, I believe what they intended was

if (*position > 0)

when I made this change, I was able to build the package and run it.
Comment 1 Mark Dixon 2017-04-06 09:13:35 UTC
We could patch this, but it might be better to submit a patch upstream.
Comment 2 Ken Wellsch 2017-04-06 15:29:10 UTC
Makes sense, will do.  Thank you!
Comment 3 Jan Beich freebsd_committer 2017-04-14 17:03:14 UTC
(In reply to Ken Wellsch from comment #0)
> uspoof.cpp:369:22: error: ordered comparison between pointer and zero ('int32_t *' (aka 'int *') and 'int')

GCC can also detect these via -Werror=extra. Clang 4.0 made them fatal for C++ but C users are left even without a warning.

https://github.com/llvm-mirror/clang/commit/4b6ad14285f3

(In reply to Mark Dixon from comment #1)
> We could patch this, but it might be better to submit a patch upstream.

https://ssl.icu-project.org/trac/changeset/32912
Comment 4 Mark Dixon 2017-07-12 21:11:55 UTC
Created a branch to update logitechmediaserver here:

https://github.com/mnd999/freebsd-ports/tree/lms-791

That contains a hack / patch to make this compile.

This should really be fixed upstream in slimserver-vendor (not libicu where it was fixed 5 years ago)
Comment 5 Mark Dixon 2017-07-16 19:40:49 UTC
https://reviews.freebsd.org/D11612
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-17 04:09:31 UTC
Fixes (bug, build, run) should be provided separately from version updates so that they can be merged to the quarterly branch
Comment 7 Richard Gallamore freebsd_committer 2017-07-25 14:45:17 UTC
This was fixed by PR 220781
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-26 03:06:57 UTC
Assign to committer that resolved
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-26 03:07:22 UTC
Update resolution to FIXED, was resolved with a commit